diff --git a/gnu/packages/configuration-management.scm b/gnu/packages/configuration-management.scm
index b66f70545ab3..95a7e8615fc9 100644
--- a/gnu/packages/configuration-management.scm
+++ b/gnu/packages/configuration-management.scm
@@ -78,7 +78,7 @@ (define-public chezmoi
            go-github-com-google-goterm
            go-github-com-lucasb-eyer-go-colorful
            go-github-com-mattn-go-isatty
-           go-github.com-mattn-go-runewidth
+           go-github-com-mattn-go-runewidth
            go-github-com-olekukonko-tablewriter
            go-github-com-pelletier-go-toml
            go-github-com-pkg-diff
diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 74483d27f781..937958b60031 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -5075,7 +5075,7 @@ (define-public sqls
                   go-github-com-pkg-errors
                   go-github-com-sourcegraph-jsonrpc2
                   go-golang-org-x-crypto
-                  go-github.com-mattn-go-runewidth
+                  go-github-com-mattn-go-runewidth
                   go-golang-org-x-xerrors
                   go-gopkg-in-yaml-v2))
     (synopsis "SQL language server written in Go")
diff --git a/gnu/packages/disk.scm b/gnu/packages/disk.scm
index abbc87a95ab4..b878614dc290 100644
--- a/gnu/packages/disk.scm
+++ b/gnu/packages/disk.scm
@@ -1161,7 +1161,7 @@ (define-public lf
                 "1piym8za0iw2s8yryh39y072f90mzisv89ffvn1jzb71f71mbfqa"))))
     (build-system go-build-system)
     (native-inputs
-     (list go-github.com-mattn-go-runewidth go-golang-org-x-term
+     (list go-github-com-mattn-go-runewidth go-golang-org-x-term
            go-gopkg-in-djherbis-times-v1 go-github-com-gdamore-tcell-v2-2.3))
     (arguments
      `(#:import-path "github.com/gokcehan/lf"))
diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d51c023808cf..b99659966dda 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -2755,7 +2755,7 @@ (define-public go-github-com-gizak-termui
      '(#:unpack-path "github.com/gizak/termui"
        #:import-path "github.com/gizak/termui/v3"))
     (propagated-inputs
-     (list go-github.com-mattn-go-runewidth
+     (list go-github-com-mattn-go-runewidth
            go-github-com-mitchellh-go-wordwrap go-github.com-nsf-termbox-go))
     (home-page "https://github.com/gizak/termui")
     (synopsis "Terminal dashboard widget Go library")
@@ -7105,7 +7105,7 @@ (define-public go-github-com-gdamore-tcell
       (arguments
        `(#:import-path "github.com/gdamore/tcell"))
       (inputs
-       (list go-github.com-mattn-go-runewidth
+       (list go-github-com-mattn-go-runewidth
              go-github-com-lucasb-eyer-go-colorful
              go-golang-org-x-text
              go-github-com-gdamore-encoding))
@@ -9128,7 +9128,7 @@ (define-public go-github-com-muesli-reflow-wordwrap
      `(#:import-path "github.com/muesli/reflow/wordwrap"
        #:unpack-path "github.com/muesli/reflow"))
     (native-inputs
-     (list go-github.com-mattn-go-runewidth))
+     (list go-github-com-mattn-go-runewidth))
     (home-page "https://github.com/muesli/reflow/")
     (synopsis "Collection of methods helping to transform blocks of text")
     (description "This package provides a collection of ANSI-aware methods and
@@ -9187,7 +9187,7 @@ (define-public go-github-com-muesli-termenv
      (list go-github-com-google-goterm
            go-github-com-lucasb-eyer-go-colorful
            go-github-com-mattn-go-isatty
-           go-github.com-mattn-go-runewidth))
+           go-github-com-mattn-go-runewidth))
     (home-page "https://github.com/muesli/termenv/")
     (synopsis "Advanced styling options on the terminal")
     (description "termenv lets you safely use advanced styling options on the
@@ -9241,7 +9241,7 @@ (define-public go-github-com-olekukonko-tablewriter
     (arguments
      `(#:import-path "github.com/olekukonko/tablewriter"))
     (propagated-inputs
-     (list go-github.com-mattn-go-runewidth))
+     (list go-github-com-mattn-go-runewidth))
     (home-page "https://github.com/olekukonko/tablewriter/")
     (synopsis "Generate ASCII table")
     (description "This package generates ASCII tables.  Features:
@@ -9338,7 +9338,7 @@ (define-public go-github-com-charmbracelet-glamour
            go-github-com-muesli-reflow-wordwrap
            go-github-com-muesli-reflow-indent
            go-github-com-muesli-reflow-padding
-           go-github.com-mattn-go-runewidth
+           go-github-com-mattn-go-runewidth
            go-github-com-muesli-termenv
            go-github-com-google-goterm
            go-github-com-lucasb-eyer-go-colorful
@@ -11521,7 +11521,7 @@ (define-public go-github-com-rivo-uniseg
 (define-public go-github-com-mattn-go-runewidth
   (package
     (name "go-github-com-mattn-go-runewidth")
-    (version "0.0.13")
+    (version "0.0.14")
     (source
      (origin
        (method git-fetch)
@@ -11530,7 +11530,7 @@ (define-public go-github-com-mattn-go-runewidth
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1yir0f3wc5z5hnkwhvx5qb6nmpfb05zp2gvfjvna63s8kmla1rrn"))))
+        (base32 "1iaqw5pd7f4f2xz37540kp0828p2820g4vxx3hz089hwl331sx1v"))))
     (build-system go-build-system)
     (arguments '(#:import-path "github.com/mattn/go-runewidth"))
     (propagated-inputs
@@ -11563,7 +11563,7 @@ (define-public go-github-com-charmbracelet-bubbletea
     (propagated-inputs
      `(("github.com/mattn/go-isatty" ,go-github-com-mattn-go-isatty)
        ("github.com/muesli/termenv" ,go-github-com-muesli-termenv)
-       ("github.com/mattn/go-runewidth" ,go-github.com-mattn-go-runewidth)
+       ("github.com/mattn/go-runewidth" ,go-github-com-mattn-go-runewidth)
        ("go-github-com-muesli-reflow-indent" ,go-github-com-muesli-reflow-indent)
        ("go-github-com-muesli-reflow-ansi" ,go-github-com-muesli-reflow-ansi)
        ("go-github-com-lucasb-eyer-go-colorful" ,go-github-com-lucasb-eyer-go-colorful)
diff --git a/gnu/packages/terminals.scm b/gnu/packages/terminals.scm
index 7579d2e7bfb8..d1cfbeab1732 100644
--- a/gnu/packages/terminals.scm
+++ b/gnu/packages/terminals.scm
@@ -957,7 +957,7 @@ (define-public go-github.com-nsf-termbox-go
       (arguments
        '(#:import-path "github.com/nsf/termbox-go"))
       (propagated-inputs
-       (list go-github.com-mattn-go-runewidth))
+       (list go-github-com-mattn-go-runewidth))
       (synopsis "@code{termbox} provides a minimal API for text-based user
 interfaces")
       (description
@@ -984,7 +984,7 @@ (define-public go-github-com-junegunn-fzf
     (arguments
      `(#:import-path "github.com/junegunn/fzf"))
     (inputs
-     (list go-github.com-mattn-go-runewidth
+     (list go-github-com-mattn-go-runewidth
            go-github-com-mattn-go-shellwords
            go-github-com-mattn-go-isatty
            go-github-com-gdamore-tcell
diff --git a/gnu/packages/textutils.scm b/gnu/packages/textutils.scm
index 026264dc27ce..2252bb7c16fa 100644
--- a/gnu/packages/textutils.scm
+++ b/gnu/packages/textutils.scm
@@ -1008,34 +1008,6 @@ (define-public txt2tags
 markup and converts it to multiple formats.")
     (license license:gpl2)))
 
-(define-public go-github.com-mattn-go-runewidth
-  (let ((commit "703b5e6b11ae25aeb2af9ebb5d5fdf8fa2575211")
-        (version "0.0.4")
-        (revision "1"))
-    (package
-      (name "go-github.com-mattn-go-runewidth")
-      (version (git-version version revision commit))
-      (source
-       (origin
-         (method git-fetch)
-         (uri (git-reference
-               (url "https://github.com/mattn/runewidth")
-               (commit commit)))
-         (file-name (git-file-name name version))
-         (sha256
-          (base32
-           "0znpyz71gajx3g0j2zp63nhjj2c07g16885vxv4ykwnrfmzbgk4w"))))
-      (build-system go-build-system)
-      (arguments
-       '(#:import-path "github.com/mattn/go-runewidth"))
-      (synopsis "@code{runewidth} provides Go functions to work with string widths")
-      (description
-       "The @code{runewidth} library provides Go functions for padding,
-measuring and checking the width of strings, with support for East Asian
-text.")
-      (home-page "https://github.com/mattn/runewidth")
-      (license license:expat))))
-
 (define-public docx2txt
   (package
     (name "docx2txt")
diff --git a/gnu/packages/time.scm b/gnu/packages/time.scm
index 38b51583da27..5c8f65a1e67b 100644
--- a/gnu/packages/time.scm
+++ b/gnu/packages/time.scm
@@ -623,7 +623,7 @@ (define-public countdown
     (arguments
      '(#:import-path "github.com/antonmedv/countdown"))
     (native-inputs
-     `(("runewidth" ,go-github.com-mattn-go-runewidth)
+     `(("runewidth" ,go-github-com-mattn-go-runewidth)
        ("termbox" ,go-github.com-nsf-termbox-go)))
     (home-page "https://github.com/antonmedv/countdown")
     (synopsis "Counts to zero with a text user interface")