diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index 9c6092bb9e..05d2f58fc2 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -55,108 +55,110 @@ (define-module (gnu packages arcan)
   #:use-module (srfi srfi-1))
 
 (define-public arcan
-    (package
-      (name "arcan")
-      (version "0.6.2.1")
-      (source (origin
-                (method git-fetch)
-                (file-name (git-file-name name version))
-                (uri (git-reference
-                      (url "https://github.com/letoram/arcan")
-                      (commit version)))
-                (sha256
-                 (base32 "14wwb7mgq8ab39dfprps7hzdz7a37r3cl8dc5q6m1r8n5daxyzgc"))
-                (modules '((guix build utils)))
-                (snippet
-                 ;; Remove some bundled packages
-                 #~(begin
-                     (delete-file-recursively "external/git")
-                     (delete-file-recursively "external/lua")
-                     (delete-file-recursively "external/sqlite")))))
-      (build-system cmake-build-system)
-      (arguments
-       (list #:configure-flags #~'("-DBUILD_PRESET=everything"
-                                   "-DDISTR_TAG='Guix'")
-             #:phases #~(modify-phases %standard-phases
-                          (add-after 'unpack 'patch-paths
-                            (lambda* (#:key outputs #:allow-other-keys)
-                              (substitute* "src/platform/posix/paths.c"
-                                (("/usr/local")
-                                 (assoc-ref outputs "out")))))
-                          ;; Normally, it tries to fetch patched openal with git
-                          ;; but copying files manually in the right place seems to work too.
-                          (add-after 'unpack 'prepare-static-openal
-                            (lambda* (#:key inputs #:allow-other-keys)
-                              (let ((arcan-openal (assoc-ref inputs
-                                                             "arcan-openal")))
-                                (copy-recursively arcan-openal
-                                                  "external/git/openal")) #t))
-                          (add-after 'prepare-static-openal 'generate-man
-                            (lambda _
-                              (with-directory-excursion "doc"
-                                (invoke "ruby" "docgen.rb" "mangen")) #t))
-                          (add-before 'configure 'chdir
-                            (lambda _
-                              (chdir "src") #t)))
-             #:tests? #f))
-      (inputs
-       `(("bash-minimal" ,bash-minimal)
-         ("espeak" ,espeak)
-         ("ffmpeg" ,ffmpeg)
-         ("freetype" ,freetype)
-         ("gumbo-parser" ,gumbo-parser)
-         ("harfbuzz" ,harfbuzz)
-         ("jbig2dec" ,jbig2dec)
-         ("leptonica" ,leptonica)
-         ("libdrm" ,libdrm)
-         ("libjpeg-turbo" ,libjpeg-turbo)
-         ("libseccomp" ,libseccomp)
-         ("libusb" ,libusb)
-         ("libvnc" ,libvnc)
-         ("libxkbcommon" ,libxkbcommon)
-         ("luajit" ,luajit)
-         ("mupdf" ,mupdf)
-         ("openal" ,openal)
-         ("openjpeg" ,openjpeg)
-         ("sdl2" ,sdl2)
-         ("sqlite" ,sqlite)
-         ("tesseract-ocr" ,tesseract-ocr)
-         ("vlc" ,vlc)
-         ("wayland" ,wayland)
-         ("wayland-protocols" ,wayland-protocols)
-         ("xcb-util" ,xcb-util)
-         ("xcb-util-wm" ,xcb-util-wm)
-         ("zlib" ,zlib)
-         ;;  To build arcan_lwa, we need a patched version of openal.
-         ;; https://github.com/letoram/arcan/wiki/packaging
-         ("arcan-openal" ,(origin
-                            (method git-fetch)
-                            (file-name "arcan-openal-0.6.2")
-                            (uri (git-reference
-                                  (url "https://github.com/letoram/openal")
-                                  (commit "0.6.2")))
-                            (sha256
-                             (base32
-                              "0vg3fda47q2dk1n43ijcc64q39z044pa8h6scmfyi22g6r6bfw2z"))))))
-      (native-inputs
-       (list pkg-config ruby))               ; For documentation and testing
-      (home-page "https://arcan-fe.com")
-      (synopsis "Display server, multimedia framework and game engine")
-      (description "Arcan is a development framework for creating virtually
+  (package
+    (name "arcan")
+    (version "0.6.2.1")
+    (source (origin
+              (method git-fetch)
+              (file-name (git-file-name name version))
+              (uri (git-reference
+                    (url "https://github.com/letoram/arcan")
+                    (commit version)))
+              (sha256
+               (base32
+                "14wwb7mgq8ab39dfprps7hzdz7a37r3cl8dc5q6m1r8n5daxyzgc"))
+              (modules '((guix build utils)))
+              (snippet
+               ;; Remove some bundled packages
+               #~(begin
+                   (delete-file-recursively "external/git")
+                   (delete-file-recursively "external/lua")
+                   (delete-file-recursively "external/sqlite")))))
+    (build-system cmake-build-system)
+    (arguments
+     (list #:configure-flags #~'("-DBUILD_PRESET=everything"
+                                 "-DDISTR_TAG='Guix'")
+           #:phases #~(modify-phases %standard-phases
+                        (add-after 'unpack 'patch-paths
+                          (lambda* (#:key outputs #:allow-other-keys)
+                            (substitute* "src/platform/posix/paths.c"
+                              (("/usr/local")
+                               (assoc-ref outputs "out")))))
+                        ;; Normally, it tries to fetch patched openal with git
+                        ;; but copying files manually in the right place seems
+                        ;; to work too.
+                        (add-after 'unpack 'prepare-static-openal
+                          (lambda* (#:key inputs #:allow-other-keys)
+                            (let ((arcan-openal (assoc-ref inputs
+                                                           "arcan-openal")))
+                              (copy-recursively arcan-openal
+                                                "external/git/openal")) #t))
+                        (add-after 'prepare-static-openal 'generate-man
+                          (lambda _
+                            (with-directory-excursion "doc"
+                              (invoke "ruby" "docgen.rb" "mangen")) #t))
+                        (add-before 'configure 'chdir
+                          (lambda _
+                            (chdir "src") #t)))
+           #:tests? #f))
+    (inputs `(("bash-minimal" ,bash-minimal)
+              ("espeak" ,espeak)
+              ("ffmpeg" ,ffmpeg)
+              ("freetype" ,freetype)
+              ("gumbo-parser" ,gumbo-parser)
+              ("harfbuzz" ,harfbuzz)
+              ("jbig2dec" ,jbig2dec)
+              ("leptonica" ,leptonica)
+              ("libdrm" ,libdrm)
+              ("libjpeg-turbo" ,libjpeg-turbo)
+              ("libseccomp" ,libseccomp)
+              ("libusb" ,libusb)
+              ("libvnc" ,libvnc)
+              ("libxkbcommon" ,libxkbcommon)
+              ("luajit" ,luajit)
+              ("mupdf" ,mupdf)
+              ("openal" ,openal)
+              ("openjpeg" ,openjpeg)
+              ("sdl2" ,sdl2)
+              ("sqlite" ,sqlite)
+              ("tesseract-ocr" ,tesseract-ocr)
+              ("vlc" ,vlc)
+              ("wayland" ,wayland)
+              ("wayland-protocols" ,wayland-protocols)
+              ("xcb-util" ,xcb-util)
+              ("xcb-util-wm" ,xcb-util-wm)
+              ("zlib" ,zlib)
+              ;; To build arcan_lwa, we need a patched version of openal.
+              ;; https://github.com/letoram/arcan/wiki/packaging
+              ("arcan-openal"
+               ,(origin
+                  (method git-fetch)
+                  (file-name "arcan-openal-0.6.2")
+                  (uri (git-reference (url
+                                       "https://github.com/letoram/openal")
+                                      (commit "0.6.2")))
+                  (sha256
+                   (base32
+                    "0vg3fda47q2dk1n43ijcc64q39z044pa8h6scmfyi22g6r6bfw2z"))))))
+    (native-inputs (list pkg-config ruby)) ;For documentation and testing
+    (home-page "https://arcan-fe.com")
+    (synopsis "Display server, multimedia framework and game engine")
+    (description
+     "Arcan is a development framework for creating virtually
 anything from user interfaces for specialized embedded applications
 all the way to full-blown desktop environments.  At its heart lies a multimedia
 engine with a Lua scripting interface.")
-      ;; https://github.com/letoram/arcan/blob/master/COPYING
-      (license (list license:asl2.0
-                     license:bsd-3
-                     license:cc-by3.0
-                     license:expat
-                     license:gpl2+
-                     license:lgpl2.0
-                     license:lgpl2.0+
-                     license:public-domain
-                     license:silofl1.1
-                     license:zlib))))
+    ;; https://github.com/letoram/arcan/blob/master/COPYING
+    (license (list license:asl2.0
+                   license:bsd-3
+                   license:cc-by3.0
+                   license:expat
+                   license:gpl2+
+                   license:lgpl2.0
+                   license:lgpl2.0+
+                   license:public-domain
+                   license:silofl1.1
+                   license:zlib))))
 
 (define-public arcan-sdl
   (package