diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
index 337dcac4d8..f1955dd1c2 100644
--- a/gnu/packages/haskell-xyz.scm
+++ b/gnu/packages/haskell-xyz.scm
@@ -425,7 +425,7 @@ (define-public ghc-ansi-wl-pprint
      `(#:cabal-revision
        ("2" "1xrv66v5hqchjhj8a0g3awy1qpsswk2jqb4w4yh3mm1py5s0dlr0")))
     (inputs
-     (list ghc-ansi-terminal))
+     (list ghc-text ghc-ansi-terminal))
     (home-page "https://github.com/ekmett/ansi-wl-pprint")
     (synopsis "Wadler/Leijen Pretty Printer for colored ANSI terminal output")
     (description "This is a pretty printing library based on Wadler's paper
@@ -1494,7 +1494,7 @@ (define-public ghc-cassava
 @item
 Customizable record-conversion instance derivation via GHC generics
 @item
-Low-level @url{https://hackage.haskell.org/package/bytestring), bytestring}
+Low-level @url{https://hackage.haskell.org/package/bytestring, bytestring}
 builders (see @url{https://hackage.haskell.org/package/cassava-0.5.2.0/docs/
 Data-Csv-Builder.html, Data.Csv.Builder})
 @item
@@ -4904,6 +4904,7 @@ (define-public ghc-hashable
     (build-system haskell-build-system)
     (properties '((upstream-name . "hashable")))
     (native-inputs (list ghc-hunit
+                         ghc-text
                          ghc-quickcheck
                          ghc-random
                          ghc-test-framework
@@ -8207,7 +8208,7 @@ (define-public ghc-optparse-applicative
                 "097p1bkvw9r3rvcr65w53yw14drb0s46ldkkl1jbmq5g7m6jwnw2"))))
     (build-system haskell-build-system)
     (properties '((upstream-name . "optparse-applicative")))
-    (inputs (list ghc-transformers-compat ghc-ansi-wl-pprint))
+    (inputs (list ghc-text ghc-transformers-compat ghc-ansi-wl-pprint))
     (native-inputs (list ghc-quickcheck))
     (home-page "https://github.com/pcapriotti/optparse-applicative")
     (synopsis "Utilities and combinators for parsing command line options")
@@ -9232,7 +9233,7 @@ (define-public ghc-pretty-show
     (build-system haskell-build-system)
     (properties '((upstream-name . "pretty-show")))
     (inputs
-     (list ghc-haskell-lexer ghc-happy))
+     (list ghc-text ghc-haskell-lexer ghc-happy))
     (home-page "https://wiki.github.com/yav/pretty-show")
     (synopsis "Tools for working with derived `Show` instances")
     (description
@@ -9947,6 +9948,7 @@ (define-public ghc-regex-base
                 "1w9fxad1dwi040r3db9i2cjhhrl86p3hngj13ixbcnqgb27l16bv"))))
     (build-system haskell-build-system)
     (properties '((upstream-name . "regex-base")))
+    (inputs (list ghc-text))
     (arguments
      `(#:cabal-revision ("1"
                          "1k2gzjm7xz69f7zr08wh2wzb5dhb659cvimsvx0g9p8cf5f45x2g")))
@@ -10816,7 +10818,7 @@ (define-public ghc-semigroups
                 "1qbk6scp1rzb69dy8mz26p6az5vi16g2lzwmwnfshh3br4rjwbch"))))
     (build-system haskell-build-system)
     (properties '((upstream-name . "semigroups")))
-    (inputs (list ghc-nats ghc-tagged ghc-hashable ghc-unordered-containers
+    (inputs (list ghc-text ghc-nats ghc-tagged ghc-hashable ghc-unordered-containers
                   ghc-transformers-compat))
     (home-page "http://github.com/ekmett/semigroups/")
     (synopsis "Semigroup operations for Haskell")
@@ -14053,6 +14055,7 @@ (define-public ghc-wl-pprint-annotated
          "1br7qyf27iza213inwhf9bm2k6in0zbmfw6w4clqlc9f9cj2nrkb"))))
     (build-system haskell-build-system)
     (properties '((upstream-name . "wl-pprint-annotated")))
+    (inputs (list ghc-text))
     (native-inputs
      (list ghc-tasty ghc-tasty-hunit))
     (home-page
@@ -14224,6 +14227,7 @@ (define-public ghc-xml
          "0g814lj7vaxvib2g3r734221k80k7ap9czv9hinifn8syals3l9j"))))
     (build-system haskell-build-system)
     (properties '((upstream-name . "xml")))
+    (inputs (list ghc-text))
     (home-page "https://github.com/GaloisInc/xml")
     (synopsis "Simple XML library for Haskell")
     (description "This package provides a simple XML library for Haskell.")
@@ -16909,4 +16913,3 @@ (define-public ghc-ref-tf
 ;;; of a merge conflict, place them above by existing packages with similar
 ;;; functionality or similar names.
 ;;;
-