diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index 117c2acb0c..fb34e42874 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -94,36 +94,38 @@ (define-public python-tree-sitter
     (license license:expat)))
 
 (define-public tree-sitter
-  (package
-    (name "tree-sitter")
-    (version "0.20.8")
-    (source (origin
-              (method git-fetch)
-              (uri (git-reference
-                    (url "https://github.com/tree-sitter/tree-sitter")
-                    (commit (string-append "v" version))))
-              (file-name (git-file-name name version))
-              (sha256
-               (base32
-                "10w17lfn9asqrk612xivkx26lc620s3nnm30hhlyqd4bj19k7gyv"))
-              (modules '((guix build utils)))
-              (snippet #~(begin
-                           ;; Remove bundled ICU parts
-                           (delete-file-recursively "lib/src/unicode")))))
-    (build-system gnu-build-system)
-    (inputs (list icu4c))
-    (arguments
-     (list #:phases
-           #~(modify-phases %standard-phases
-               (delete 'configure))
-           #:tests? #f ; there are no tests for the runtime library
-           #:make-flags
-           #~(list (string-append "PREFIX=" #$output)
-                   (string-append "CC=" #$(cc-for-target)))))
-    (home-page "https://tree-sitter.github.io/tree-sitter/")
-    (synopsis "Incremental parsing system for programming tools")
-    (description
-     "Tree-sitter is a parser generator tool and an incremental parsing
+  ;; Untagged
+  (let ((commit "0e4ff0bb27edf37b76fc7d35aa768b02cf4392ad"))
+    (package
+      (name "tree-sitter")
+      (version "0.20.10")
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/tree-sitter/tree-sitter")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "1bai4gdhf8w5p1i9np2kl2ms0jq6rgq98qpiipipzayb9jjjlxcy"))
+                (modules '((guix build utils)))
+                (snippet #~(begin
+                             ;; Remove bundled ICU parts
+                             (delete-file-recursively "lib/src/unicode")))))
+      (build-system gnu-build-system)
+      (inputs (list icu4c))
+      (arguments
+       (list #:phases
+             #~(modify-phases %standard-phases
+                 (delete 'configure))
+             #:tests? #f ; there are no tests for the runtime library
+             #:make-flags
+             #~(list (string-append "PREFIX=" #$output)
+                     (string-append "CC=" #$(cc-for-target)))))
+      (home-page "https://tree-sitter.github.io/tree-sitter/")
+      (synopsis "Incremental parsing system for programming tools")
+      (description
+       "Tree-sitter is a parser generator tool and an incremental parsing
 library.  It can build a concrete syntax tree for a source file and
 efficiently update the syntax tree as the source file is edited.
 
@@ -138,7 +140,7 @@ (define-public tree-sitter
 @end itemize
 
 This package includes the @code{libtree-sitter} runtime library.")
-    (license license:expat)))
+      (license license:expat))))
 
 (define-public tree-sitter-cli
   (package
@@ -173,6 +175,7 @@ (define-public tree-sitter-cli
          ;; good compromise compared to maintaining two different sets of
          ;; grammars (Guix packages vs test fixtures).
          "--skip=tests::corpus_test"
+         "--skip=tests::github_issue_test"
          "--skip=tests::highlight_test"
          "--skip=tests::node_test"
          "--skip=tests::parser_test"
@@ -194,6 +197,7 @@ (define-public tree-sitter-cli
         ("rust-dirs" ,rust-dirs-3)
         ("rust-html-escape" ,rust-html-escape-0.2)
         ("rust-libloading" ,rust-libloading-0.7)
+        ("rust-path-slash" ,rust-path-slash-0.2)
         ("rust-rand" ,rust-rand-0.8)
         ("rust-rustc-hash" ,rust-rustc-hash-1)
         ("rust-semver" ,rust-semver-1)