diff --git a/gnu/packages/debug.scm b/gnu/packages/debug.scm
index e2a29a3ae9..57d0d3b479 100644
--- a/gnu/packages/debug.scm
+++ b/gnu/packages/debug.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2022 Matthew James Kraai <kraai@ftbfs.org>
 ;;; Copyright © 2023 Andy Tai <atai@atai.org>
 ;;; Copyright © 2023 Ricardo Wurmus <rekado@elephly.net>
+;;; Copyright © 2023 dan <i@dan.games>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -50,6 +51,8 @@ (define-module (gnu packages debug)
   #:use-module (gnu packages code)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages flex)
+  #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages gawk)
   #:use-module (gnu packages gdb)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gtk)
@@ -71,6 +74,7 @@ (define-module (gnu packages debug)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages serialization)
   #:use-module (gnu packages texinfo)
+  #:use-module (gnu packages vim)
   #:use-module (gnu packages virtualization)
   #:use-module (gnu packages xdisorg)
   #:use-module (gnu packages xorg)
@@ -918,3 +922,90 @@ (define-public delve
     (synopsis "Debugger for the Go programming language")
     (description "Delve is a debugger for the Go programming language.")
     (license license:expat)))
+
+(define-public gf
+  (let ((commit "77a1f69204ceca5e62936976f97c62085a705126")
+        (revision "0"))
+    (package
+      (name "gf")
+      (version (git-version "0.0.0" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/nakst/gf")
+                      (commit commit)))
+                (sha256
+                 (base32
+                  "167ykfv7vf5vajxd5m3ggw4avpcim0i0bfmbxb495n8rgpaiizdy"))
+                (file-name (git-file-name name version))))
+      (build-system gnu-build-system)
+      (arguments
+       (list #:tests? #f ; no test
+             #:make-flags #~(list "-g"
+                                  "-O2"
+                                  "-lX11"
+                                  "-lfreetype"
+                                  "-pthread"
+                                  (string-append "-I"
+                                                 #$(this-package-input
+                                                    "freetype")
+                                                 "/include/freetype2")
+                                  "-DUI_FREETYPE"
+                                  "-DUI_NO_COLOR_PICKER"
+                                  "-DUI_SSE2"
+                                  "-Wall"
+                                  "-Wextra"
+                                  "-Wno-unused-parameter"
+                                  "-Wno-unused-result"
+                                  "-Wno-missing-field-initializers"
+                                  "-Wno-format-truncation")
+             #:phases #~(modify-phases %standard-phases
+                          (add-after 'unpack 'patch-path
+                            (lambda* (#:key inputs outputs #:allow-other-keys)
+                              (substitute* "gf2.cpp"
+                                (("\"gdb\";")
+                                 (format #f "\"~a\";"
+                                         (search-input-file inputs "/bin/gdb")))
+                                (("\"vim ")
+                                 (format #f "\"~a "
+                                         (search-input-file inputs "/bin/vim")))
+                                (("grep")
+                                 (format #f "~a"
+                                         (search-input-file inputs "/bin/grep")))
+                                (("fc-list")
+                                 (format #f "~a"
+                                         (search-input-file inputs
+                                                            "/bin/fc-list")))
+                                (("fc-match")
+                                 (format #f "~a"
+                                         (search-input-file inputs
+                                                            "/bin/fc-match")))
+                                (("awk")
+                                 (format #f "~a"
+                                         (search-input-file inputs "/bin/awk"))))))
+                          (delete 'configure)
+                          (replace 'build
+                            (lambda* (#:key make-flags #:allow-other-keys)
+                              (apply invoke
+                                     #$(cxx-for-target)
+                                     "gf2.cpp"
+                                     "-o"
+                                     "gf2"
+                                     make-flags)))
+                          (replace 'install
+                            (lambda* _
+                              (install-file "gf2"
+                                            (string-append #$output "/bin")))))))
+      (inputs (list fontconfig
+                    freetype
+                    gawk
+                    gdb
+                    grep
+                    libx11
+                    libxext
+                    libxcursor
+                    vim))
+      (home-page "https://github.com/nakst/gf")
+      (synopsis "GDB frontend")
+      (description "A graphical GDB frontend for Linux.")
+      (license license:expat))))