diff --git a/gnu/packages/benchmark.scm b/gnu/packages/benchmark.scm
index a1ffec7810..8bfb2bb0b3 100644
--- a/gnu/packages/benchmark.scm
+++ b/gnu/packages/benchmark.scm
@@ -648,7 +648,6 @@ (define-public sysbench
                          python-wrapper
                          which
                          ;; For documentation
-                         libxml2        ;for XML_CATALOG_FILES
                          libxslt
                          docbook-xml
                          docbook-xsl))
diff --git a/gnu/packages/cluster.scm b/gnu/packages/cluster.scm
index 6d10d73859..5e522cf18d 100644
--- a/gnu/packages/cluster.scm
+++ b/gnu/packages/cluster.scm
@@ -133,7 +133,6 @@ (define-public drbd-utils
            docbook-xml
            docbook-xml-4.4              ;used by documentation/ra2refentry.xsl
            docbook-xsl
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt                      ;for xsltproc
            ruby-asciidoctor))
     (home-page "https://www.linbit.com/drbd/")
diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index 667635bab3..89ce194a8b 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -274,7 +274,6 @@ (define-public farstream
            gobject-introspection
            gtk-doc/stable
            libtool
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt
            perl
            pkg-config
@@ -737,7 +736,6 @@ (define-public elogind
        ("docbook-xsl" ,docbook-xsl)
        ("gettext" ,gettext-minimal)
        ("gperf" ,gperf)
-       ("libxml2" ,libxml2)                     ;for XML_CATALOG_FILES
        ("m4" ,m4)
        ("pkg-config" ,pkg-config)
        ("python" ,python)
@@ -966,7 +964,6 @@ (define-public packagekit
            gettext-minimal
            `(,glib "bin")
            gobject-introspection
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt
            pkg-config
            python-wrapper
@@ -1172,7 +1169,7 @@ (define-public wayland
           (list pkg-config-for-build
                 this-package)           ;for wayland-scanner
           '())))
-    (inputs (list expat libxml2))       ;for XML_CATALOG_FILES
+    (inputs (list expat libxml2))
     (propagated-inputs (list libffi))
     (home-page "https://wayland.freedesktop.org/")
     (synopsis "Core Wayland window system code and protocol")
@@ -1616,7 +1613,6 @@ (define-public accountsservice
            `(,glib "bin")               ; for gdbus-codegen, etc.
            gobject-introspection
            gtk-doc
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt
            pkg-config
            vala
@@ -2482,7 +2478,6 @@ (define-public plymouth
     (native-inputs
      (list gettext-minimal
            pkg-config
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt
            docbook-xsl
            docbook-xml))
diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index a0b85b15d1..26c1ede2ea 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -152,7 +152,6 @@ (define dbus
            docbook-xsl
            doxygen
            xmlto
-           libxml2 ;for XML_CATALOG_FILES
            libxslt
            yelp-tools))
     (inputs
diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index dda0a959cf..f5b975f514 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -2583,7 +2583,6 @@ (define-public gnome-keyring
            gettext-minimal
            `(,glib "bin")
            glib                         ;for m4 macros
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt                      ;for documentation
            pkg-config
            python-wrapper))             ;for tests
@@ -3237,7 +3236,6 @@ (define-public glade3
            gobject-introspection
            hicolor-icon-theme
            itstool
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt                      ;for xsltproc
            python
            python-pygobject
@@ -4694,7 +4692,6 @@ (define-public dconf
     (native-inputs
      (list bash-completion
            libxslt                      ;for xsltproc
-           libxml2                      ;for XML_CATALOG_FILES
            docbook-xml-4.2
            docbook-xsl
            `(,glib "bin")
@@ -5206,7 +5203,6 @@ (define-public libsecret
            gettext-minimal
            `(,glib "bin")               ;for gdbus-codegen, etc.
            gobject-introspection
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt
            pkg-config
            python
@@ -5662,7 +5658,6 @@ (define-public colord
        (append bash-completion
                docbook-xsl-1.79.1
                gtk-doc/stable
-               libxml2                  ;for XML_CATALOG_FILES
                libxslt
                sane-backends
                vala)))))                ;for VAPI, needed by simple-scan
@@ -5824,8 +5819,7 @@ (define-public upower
            umockdev
            ;; For man pages.
            docbook-xsl
-           libxslt                      ; for 'xsltproc'
-           libxml2))                    ; for 'XML_CATALOG_FILES'
+           libxslt))                    ; for 'xsltproc'
     (inputs
      (list dbus-glib libgudev libusb))
     (propagated-inputs
@@ -6010,7 +6004,6 @@ (define-public gnome-settings-daemon
            docbook-xsl
            gettext-minimal
            `(,glib "bin")               ;for glib-mkenums
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt
            perl
            pkg-config))
diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 51f7d675f4..43cb8f2e49 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -738,7 +738,6 @@ (define-public gdk-pixbuf
            ;; For the documentation.
            docbook-xml-4.3
            docbook-xsl
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt))                    ;for xsltproc
     (native-search-paths
      ;; This file is produced by the gdk-pixbuf-loaders-cache-file
diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 5b117bb029..d5b90db0c1 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -4328,7 +4328,6 @@ (define-public eudev
            ;; For documentation.
            docbook-xml-4.2
            docbook-xsl
-           libxml2            ;for $XML_CATALOG_FILES
            libxslt))
     (inputs
      ;; When linked against libblkid, eudev can populate /dev/disk/by-label
diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 42eb37ea8e..e6b35417e2 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -1593,9 +1593,7 @@ (define-public iputils
      `(#:configure-flags '("-DBUILD_RARPD=true")))
     (native-inputs
      (list docbook-xsl docbook-xml-5.0.1
-           gettext-minimal
-           libxml2          ;for XML_CATALOG_FILES
-           libxslt pkg-config))
+           gettext-minimal libxslt pkg-config))
     (inputs
      (list libcap libidn2 openssl))
     (synopsis "Collection of network utilities")
diff --git a/gnu/packages/ocr.scm b/gnu/packages/ocr.scm
index 99ebc9d4f7..10b4459d1c 100644
--- a/gnu/packages/ocr.scm
+++ b/gnu/packages/ocr.scm
@@ -160,7 +160,6 @@ (define-public tesseract-ocr
            libarchive
            libtiff
            libtool
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt
            pkg-config
            tesseract-ocr-tessdata-fast))
diff --git a/gnu/packages/polkit.scm b/gnu/packages/polkit.scm
index 6fe7824a57..c1162679ff 100644
--- a/gnu/packages/polkit.scm
+++ b/gnu/packages/polkit.scm
@@ -157,7 +157,6 @@ (define-public polkit
            `(,glib "bin")               ;for glib-mkenums
            docbook-xsl                  ;for man page generation
            gobject-introspection
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt                      ;for man page generation
            perl
            pkg-config
diff --git a/gnu/packages/samba.scm b/gnu/packages/samba.scm
index c8b8d03521..e40fa9f7db 100644
--- a/gnu/packages/samba.scm
+++ b/gnu/packages/samba.scm
@@ -278,8 +278,7 @@ (define-public samba/pinned
              ;; For generating man pages.
              docbook-xml-4.2
              docbook-xsl
-             libxslt
-             libxml2)))                 ;for XML_CATALOG_FILES
+             libxslt)))
      (home-page "https://www.samba.org/")
      (synopsis
       "The standard Windows interoperability suite of programs for GNU and Unix")
diff --git a/gnu/packages/sssd.scm b/gnu/packages/sssd.scm
index b8f564693f..cf54497f75 100644
--- a/gnu/packages/sssd.scm
+++ b/gnu/packages/sssd.scm
@@ -92,7 +92,6 @@ (define-public adcli
            docbook-xml-4.3
            docbook-xsl
            libtool
-           libxml2                      ;for XML_CATALOG_FILES
            libxslt
            util-linux                   ;For `rev` command used in tests.
            xmlto))
diff --git a/gnu/packages/terminals.scm b/gnu/packages/terminals.scm
index 1bfec73477..13654cb1ff 100644
--- a/gnu/packages/terminals.scm
+++ b/gnu/packages/terminals.scm
@@ -359,7 +359,6 @@ (define-public kmscon
              automake
              libtool
              libxslt ;to build the man page
-             libxml2 ;for XML_CATALOG_FILES
              docbook-xsl))
       (inputs
        `(("libdrm" ,libdrm)